package com.zhentao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 课程目录表
 * @TableName catalog
 */
@TableName(value ="catalog")
@Data
public class Catalog implements Serializable {
    /**
     * 目录id
     */
    @TableId
    private Long id;

    /**
     * 课程id
     */
    private Long courseId;

    /**
     * 目录标题
     */
    private String catalogTitle;

    /**
     * 创建的时间
     */
    private Date createTime;

    /**
     * 学习次数
     */
    private Integer count;

    /**
     * 修改目录的时间
     */
    private Date updateTime;

    /**
     * 状态 0就是试学 1就是学习 2就是锁着
     */
    private Integer status;

    /**
     * 视频
     */
    private String catalogContent;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}