package com.zhentao.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 用户
 * @TableName user_login
 */
@TableName(value ="user_login")
@Data
public class UserLogin implements Serializable {
    /**
     * 用户ID
     */
    @TableId
    private Long id;

    /**
     *
     */
    private String userUsername;

    /**
     *
     */
    private String userPassword;

    /**
     *
     */
    private String salt;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 头像图片
     */
    private String avatar;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 性别1男2女3未知
     */
    private Integer gender;

    /**
     * 个性签名
     */
    private String userIntro;

    /**
     * 手机号
     */
    private String userMobile;

    /**
     * 身份证号
     */
    private String idenNo;

    /**
     * 用户等级
     */
    private Long gradeId;

    /**
     * 等级描述
     */
    private String gradeDesc;

    /**
     * 是否付费会员0否1是
     */
    private Integer isMember;

    /**
     * 过期时间
     */
    private Date loseDate;

    /**
     * 1临时会员2副卡3正式会员
     */
    private Integer memberType;

    /**
     * 生日
     */
    private Date birthDay;

    /**
     * 月
     */
    private Integer birthMonth;

    /**
     * 日
     */
    private Integer days;

    /**
     * 总订单数
     */
    private Integer totalOrder;

    /**
     * 总消费金额
     */
    private BigDecimal totalConsume;

    /**
     * 标签列表
     */
    private String labelList;

    /**
     * 状态1正常0锁定
     */
    private Integer status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新人
     */
    private String updatedBy;

    /**
     * 更新时间
     */
    private Date updatedTime;
    private String openId;
    private String sessionKey;
    private String uniId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
