package com.zhentao.controller.cart;

import com.zhentao.controller.cart.dto.CartDto;
import com.zhentao.controller.cart.dto.CartDtoId;
import com.zhentao.dto.Result;
import com.zhentao.service.ShoppingCartService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("cart")
public class ShoppingCartController {
    @Autowired
    private ShoppingCartService service;
//    添加购物车
    @PostMapping("add")
    public Result add(@RequestBody CartDto cartDto){
        return service.add(cartDto);
    }
//    查询当前用户的购物车
    @PostMapping("findAll")
    public Result findAll(@RequestBody CartDtoId cartDtoId){
        return service.findAll(cartDtoId);
    }
}
