package com.zhentao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 课程明细表
 * @TableName course_datails
 */
@TableName(value ="course_datails")
@Data
public class CourseDatails implements Serializable {
    /**
     * 主键
     */
    @TableId
    private Long detailId;

    /**
     * 关联课程主表的
     */
    private Long courseId;

    /**
     * 详情
     */
    private String details;

    /**
     * 创建时间
     */
    private Date createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}