package com.zhentao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 课程分类表
 * @TableName course_fenlei
 */
@TableName(value ="course_fenlei")
@Data
public class CourseFenlei implements Serializable {
    /**
     * 课程分类id
     */
    @TableId(type = IdType.AUTO)
    private Long courseId;

    /**
     * 课程分类名称
     */
    private String courseName;

    /**
     * 创建的时间
     */
    private Date createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}