package com.zhentao.service;

import com.zhentao.controller.cart.dto.CartDto;
import com.zhentao.controller.cart.dto.CartDtoId;
import com.zhentao.domain.ShoppingCart;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhentao.dto.Result;

/**
* @author 86183
* @description 针对表【shopping_cart(购物车表)】的数据库操作Service
* @createDate 2025-05-13 17:11:39
*/
public interface ShoppingCartService extends IService<ShoppingCart> {
//    查询当前用户所有的购物车物品
    Result findAll(CartDtoId cartDtoId);
//    添加购物车
    Result add(CartDto cartDto);
}
